<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

require_once 'util.php';

class Unidade extends Doctrine_Record
{
	function setTableDefinition()
	{
		$this->setTableName('saude.unidade');
		$this->hasColumn('codigo','string', 10, array('notblank','notnull'));
		$this->hasColumn('idtipo','integer', NULL, array('notnull'));

		$this->hasColumn('nome_fantasia','string',80, 
			array('notblank','notnull'));
		$this->hasColumn('nome','string',50);

		$this->hasColumn('logradouro','string', 150);
		$this->hasColumn('bairro','string', 50);
		$this->hasColumn('idmunicipio','integer');
		$this->hasColumn('cep','string', 10);
		$this->hasColumn('idgeoiguacu', 'integer');
	}

	function validate()
	{
		trim_string_columns($this);

		$erros = array();

		if(!$this->codigo)
			$erros[] = 'O código da unidade deve ser preenchido';
		if(!$this->nome_fantasia)
			$erros[] = 'O nome de fantasia da unidade deve ser preenchido';

		if($erros)
			throw new Exception(implode("\n",$erros));
	}

    function setUp()
    {
		$this->hasOne('Municipio as municipio',
			array('local'=>'idmunicipio',
			      'foreign'=>'id'));

		$this->hasOne('TipoUnidade as tipo',
			array('local'=>'idtipo',
			      'foreign'=>'id'));

		$this->index('unique_cod_tipo',
			array('fields' => array('codigo', 'idtipo'),
				  'type' => 'unique'));
	}
};

?>
